/*
 * @(#)UuidGenerator.java	2011-8-5
 *
 * Copyright (c) 2011. All Rights Reserved.
 *
 */

package org.javaclub.jorm.id;

import java.io.Serializable;
import java.lang.reflect.Field;

import org.javaclub.jorm.Session;
import org.javaclub.jorm.common.UuidUtil;
import org.javaclub.jorm.jdbc.sql.Dialect;

/**
 * UuidGenerator
 *
 * @author <a href="mailto:gerald.chen.hz@gmail.com">Gerald Chen</a>
 * @version $Id: UuidGenerator.java 2011-8-5 下午07:19:29 Exp $
 */
public class UuidGenerator implements IdentifierGenerator {
	
	private Dialect dialect;

	public UuidGenerator() {
		super();
	}

	public Serializable generate(Session session, Object object, Field field) {
		return UuidUtil.newUUID();
	}

	public void setDialect(Dialect dialect) {
		this.dialect = dialect;
	}

	public Dialect getDialect() {
		return dialect;
	}
}
