/*
 * @(#)MapLazyInitializer.java	2011-8-30
 *
 * Copyright (c) 2011. All Rights Reserved.
 *
 */

package org.javaclub.jorm.proxy.map;

import java.io.Serializable;
import java.util.Map;

import org.javaclub.jorm.Session;
import org.javaclub.jorm.proxy.AbstractLazyInitializer;

/**
 * MapLazyInitializer
 *
 * @author <a href="mailto:gerald.chen.hz@gmail.com">Gerald Chen</a>
 * @version $Id: MapLazyInitializer.java 2011-8-30 下午07:27:26 Exp $
 */
@SuppressWarnings("unchecked")
public class MapLazyInitializer extends AbstractLazyInitializer implements Serializable {

	private static final long serialVersionUID = -2208308936361744320L;

	MapLazyInitializer(Serializable id, Session session) {
		super(id, session);
	}

	public Map getMap() {
		return (Map) getImplementation();
	}

	public Class getPersistentClass() {
		throw new UnsupportedOperationException("dynamic-map entity representation");
	}

}
