/*
 * @(#)MapProxyFactory.java	2011-9-1
 *
 * Copyright (c) 2011. All Rights Reserved.
 *
 */

package org.javaclub.jorm.proxy.map;

import java.io.Serializable;
import java.lang.reflect.Method;
import java.util.Set;

import org.javaclub.jorm.JormException;
import org.javaclub.jorm.Session;
import org.javaclub.jorm.proxy.JormProxy;
import org.javaclub.jorm.proxy.ProxyFactory;

/**
 * MapProxyFactory
 *
 * @author <a href="mailto:gerald.chen.hz@gmail.com">Gerald Chen</a>
 * @version $Id: MapProxyFactory.java 2011-9-1 下午12:33:04 Exp $
 */
public class MapProxyFactory implements ProxyFactory {


	@SuppressWarnings("unchecked")
	public void postInstantiate(
		final Class persistentClass,
		final Set interfaces, 
		final Method getIdentifierMethod,
		final Method setIdentifierMethod) throws JormException {
		

	}

	public JormProxy getProxy(
		final Serializable id, 
		final Session session) throws JormException {
		return new MapProxy( new MapLazyInitializer(id, session) );
	}

}
